# ReactifySearchLiquidFactory

### Purpose

The ReactifySearchLiquidFactory class provides helper functions when implementing Reactify Search on a Shopify theme.

### Usage

The `ReactifySearchLiquidFactory` class must be initialised with the mode prop and called before rendering your React application.

The class automatically sets the standard required props for `ReactifySearchProvider`: `shopifyPermanentDomain` and `collectionHandle`.&#x20;

However, you can add more props, such as `market`. The list of available props can be found on [ReactSearchProvider](/components/provider.md#props).

```typescript
import { ReactifySearchLiquidFactory } from "@usereactify/search";

const ReactifySearchFactory = new ReactifySearchLiquidFactory({
  mode: "instant-search",
  market="12345" // optionally the ID of the Shopify market to use
});
```

Three functions are provided to return the configured provider, mount node, and data loaded from the "reactify-data" script tag.

```typescript
const ReactifySearchProvider = ReactifySearchFactory.getProvider();

const ReactifySearchMountNode = ReactifySearchFactory.getMountNode();

const ReactifySearchData = ReactifySearchFactory.getData();
```

A theme installation guide can be found [here](/guides/liquid-theme.md) with examples on how to use these to render your React applications.

### Props

```typescript
type ReactifySearchLiquidFactoryProps = Omit<
  ReactifySearchProviderProps,
  "shopifyPermanentDomain"
> & {
  shopifyPermanentDomain?: string;
  collectionHandle?: string;
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://search.docs.reactify.com.au/classes/liquid-factory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
